Subject: Re: Last Call: <draft-ietf-nfsv4-federated-fs-dns-srv-namespace-08.txt> (Using DNS SRV to

From: "t.petch" <[email-masked]>
Date: Tue, 13 Sep 2011 10:12:41 +0200

I believe that this is the first Last Call since RFC6335 was published to
request an entry in the Service Name and Transport Protocol Port Number Registry
and so a chance to understand how the RFC works in practice.

>From the proforma in s.8.1.1., I was expecting to see something similar to the
proforma used for a request for a URI (RFC4395) or for a media type, and I
don't; in fact, I don't see any clear request, rather an implication that a
request is being made for a service name (of nfs4, not one that is currently
registered).

Is the information in this I-D adequate (for IANA and other interested parties)?
Should the information be presented as in RFC6335?
Or what ?

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, September 10, 2011 12:33 AM
Subject: [nfsv4] Last Call:
<draft-ietf-nfsv4-federated-fs-dns-srv-namespace-08.txt> (Using DNS SRV to

>
> The IESG has received a request from the Network File System Version 4 WG
> (nfsv4) to consider the following document:
> - 'Using DNS SRV to Specify a Global File Name Space with NFS version 4'
>   <draft-ietf-nfsv4-federated-fs-dns-srv-namespace-08.txt> as a Proposed
> Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> ietf at ietf.org mailing lists by 2011-09-23. Exceptionally, comments may be
> sent to iesg at ietf.org instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> Abstract
>
>
>    The NFS version 4 protocol provides a natural way for a collection of
>    NFS file servers to collaborate in providing an organization-wide
>    file name space.  The DNS SRV RR allows a simple and appropriate way
>    for an organization to publish the root of its name space, even to
>    clients that might not be intimately associated with such an
>    organization.  The DNS SRV RR can be used to join these organization-
>    wide file name spaces together to allow construction of a global,
>    uniform NFS version 4 file name space.
>
>
>
>
> The file can be obtained via
>
http://datatracker.ietf.org/doc/draft-ietf-nfsv4-federated-fs-dns-srv-namespace/
>
> IESG discussion can be tracked via
>
http://datatracker.ietf.org/doc/draft-ietf-nfsv4-federated-fs-dns-srv-namespace/
>
>
> No IPR declarations have been submitted directly on this I-D.

---

From: Joe Touch <[email-masked]>
Date: Tue, 13 Sep 2011 11:03:12 -0700

> Should the information be presented as in RFC6335?

Hi, all,

It's always more useful to present the information as indicated in RFC 
6335 within the document if that's what generates the request (as part 
of document processing).

A separate request can be made as well. Given this might be for an SRV 
name only (as per the recent posts), that need not be held up on the 
status of the current doc - and could thus be requested now by the authors.

Joe
> From: "The IESG"<[email-masked]>
> To: "IETF-Announce"<[email-masked]>
> Cc:<[email-masked]>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf